/* Start Header */
.header {
  position: absolute;
  width: 100%;
  z-index: 100;
  margin-top: 10px;
}

.header.scrolled {
  transition: var(--main-transition);
  background-color: #fff;
  -webkit-box-shadow: 0 0 10px var(--shadow-color);
  -moz-box-shadow: 0 0 10px var(--shadow-color);
  box-shadow: 0 0 10px var(--shadow-color);
  position: fixed;
  top: -10px;
}

.header .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  position: relative;
}

.header .logo {
  color: var(--main-color);
  font-size: 26px;
  font-weight: bold;
  height: 72px;
  display: flex;
  justify-content: center;
  align-items: center;
  letter-spacing: 2px;
}

.header .logo img {
  width: 150px;
}

.header .main-nav {
  display: flex;
}

.header .navToggle {
  display: none;
}

.header .main-nav > li > a {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 72px;
  position: relative;
  color: var(--main-color);
  padding: 0 30px;
  overflow: hidden;
  font-size: 18.5px;
  transition: var(--main-transition);
  font-weight: 500;
  font-family: var(--second-font);
}

.header .main-nav > li > a:hover {
  color: var(--hover-color);
}

.header .main-nav > li {
  list-style: none;
}

/* Responsive Navbar */

@media (max-width: 991px) {
  .header .main-nav {
    margin: auto;
  }

  .header .main-nav > li > a {
    padding: 10px;
    font-size: 14px;
    height: 40px;
    color: #fff;
  }

  .header .main-nav {
    display: block;
    background-color: rgba(0, 0, 0, 0.5);
    -webkit-box-shadow: 0 0 10px var(--shadow-color);
    -moz-box-shadow: 0 0 10px var(--shadow-color);
    box-shadow: 0 0 10px var(--shadow-color);
    z-index: 1000;
    position: absolute;
    top: 60px;
    min-width: 50%;
    height: 25rem;
    border-radius: 5px;
    right: -100%;
    transition: var(--main-transition);
  }

  .header .main-nav > li:not(:first-child)::before {
    content: "";
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    height: 1px;
    width: 30%;
    border-bottom: 1px solid var(--main-color);
  }

  .header .main-nav.active {
    display: block;
    right: 0;
  }

  .header .navToggle {
    display: block;
    font-size: 35px;
    cursor: pointer;
    color: var(--main-color);
  }
}

/* End Header */

/* Start Landing */
.landing {
  position: relative;
}

.landing .container {
  min-height: calc(100vh - 200px);
  margin-top: 2em;
  display: flex;
  align-items: center;
}

.landing .text {
  color: var(--main-color);
  flex: 1;
}

@media (max-width: 991px) {
  .landing .text {
    text-align: center;
    margin-top: 30px;
  }
}

.landing .text h1 {
  font-size: 42px;
  letter-spacing: 1px;
  max-width: 70%;
}

@media (max-width: 991px) {
  .landing .text h1 {
    font-size: 28px;
    margin: 0 auto 15px auto;
  }
}

.landing .text p {
  font-size: 23px;
  line-height: 1.7;
  margin: 5px 0 0;
  color: var(--p-color);
  max-width: 500px;
}

@media (max-width: 991px) {
  .landing .text p {
    margin: 10px auto;
  }
}

@media (max-width: 767px) {
  .landing .text p {
    font-size: 18px;
  }
}

.landing .text .buttons {
  display: flex;
}

.landing .text .btn {
  position: relative;
  margin-top: 15px;
  color: var(--main-color);
  border: 2px solid var(--main-color);
  padding: 15px 30px;
  margin-right: 10px;
  border-radius: 5px;
  font-family: var(--second-font);
  font-weight: 600;
}

.landing .text .btn.active {
  background-color: var(--main-color);
  color: #fff;
  padding: 15px 35px;
}

.landing .text .btn::before {
  content: "";
  position: absolute;
  background: var(--main-color);
  bottom: 0;
  left: 0;
  right: 0;
  top: 100%;
  z-index: -1;
  transition: var(--main-transition);
  -webkit-transition: top 0.09s ease-in;
}

.landing .text .btn:hover::before {
  top: 0;
}

.landing .text .btn:hover {
  transition: var(--main-transition);
  color: #fff;
}

@media (max-width: 991px) {
  .landing .text .buttons {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
  }

  .landing .text .btn {
    width: 100px;
  }
}

.landing .image img {
  position: relative;
  width: 500px;
}

@media (max-width: 991px) {
  .landing .container {
    margin-top: 30px;
    flex-direction: column-reverse;
  }

  .landing .image img {
    width: 250px;
    margin-top: 100px;
  }
}

/* End Landing */

/* Main section */
.about-us {
  position: relative;
}

.about-us .container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.about-us .video-container {
  filter: drop-shadow(0 0 1px var(--shadow-color));
}

.about-us .video-container .video {
  border-radius: 15px;
  background: transparent url(../images/logo.jpg) 50% 50% / cover no-repeat;
  border-radius: 15px;
}

.video-js .vjs-tech {
  border-radius: 15px;
}

@media (max-width: 991px) {
  .about-us .container {
    flex-direction: column;
  }

  .about-us .video-container .video {
    width: 400px;
  }
}

.about-us .content {
  flex: 1;
  margin-right: 2em;
}

@media (max-width: 1200px) {
  .about-us .content {
    margin-right: 60px;
  }
}

.about-us .content .title {
  color: var(--main-color);
  font-size: 28px;
  font-weight: bold;
}

.about-us .content p {
  position: relative;
  color: var(--p-color);
  font-size: 18px;
  width: 80%;
  line-height: 25px;
}

.about-us .content p::after {
  position: absolute;
  content: "";
  margin-top: 40px;
  right: 0px;
  width: 65px;
  height: 3px;
  background-color: #d1d2d6;
}

.about-us .content .ourServices {
  margin-top: calc(40px + 15px);
  margin-bottom: 25px;
  list-style: none;
}

.about-us .content .ourServices li {
  position: relative;
  padding-top: 10px;
  font-size: 17px;
  padding-right: 25px;
  margin-bottom: 15px;
}

.about-us .content .ourServices li::before {
  content: "\f00c";
  position: absolute;
  right: 0;
  top: 5px;
  font-size: 18px;
  color: var(--main-color);
  line-height: 1.6;
  font-family: "FontAwesome";
}

.about-us .content .button {
  display: block;
  width: fit-content;
  padding: 15px 30px;
  background-color: var(--main-color);
  border-radius: 5px;
  color: #fff;
  transition: var(--main-transition);
}

.about-us .content .button:hover {
  background-color: var(--hover-color);
}

/* End About */

/* Start Services */
.services {
  padding-top: var(--main-padding);
  padding-bottom: var(--main-padding);
  position: relative;
}

.services .container {
  display: grid;
  grid-template-columns: 35% 60%;
  gap: 50px;
}

@media (max-width: 991px) {
  .services .container {
    display: grid;
    grid-template-columns: 1fr;
    grid-auto-rows: minmax(100px, auto);
    gap: 10px;
  }
}

.services .text h3 {
  position: relative;
  color: var(--main-color);
  font-size: 30px;
}

.services .text h3::after {
  position: absolute;
  content: "";
  margin-top: 43px;
  right: 0px;
  width: 65px;
  height: 3px;
  background-color: #d1d2d6;
}

.services .text p {
  width: 100%;
  color: var(--p-color);
  font-size: 20px;
  line-height: 30px;
}

.services .text .button {
  display: block;
  width: fit-content;
  padding: 15px 30px;
  background-color: var(--main-color);
  border-radius: 5px;
  color: #fff;
  transition: var(--main-transition);
}

.services .text .button:hover {
  background-color: var(--hover-color);
}

@media (max-width: 991px) {
  .services .text {
    text-align: center;
  }

  .services .text h3::after {
    right: 50%;
    transform: translateX(50%);
  }

  .services .text .button {
    margin: 25px auto;
  }
}

.services .content {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  gap: 40px 50px;
}

.services .content .card {
  position: relative;
  background-color: #fff;
  -webkit-box-shadow: 0 0 10px var(--shadow-color);
  -moz-box-shadow: 0 0 10px var(--shadow-color);
  box-shadow: 0 0 10px var(--shadow-color);
  border-radius: 2rem;
  padding: 20px;
  width: 12em;
}

.services .content .card span {
  position: relative;
  right: 145px;
  color: #fff;
  padding: 15px;
  width: fit-content;
  border-radius: 10px;
  border-bottom-right-radius: 20px;
  display: flex;
  align-items: center;
  font-size: 17px;
  background-color: var(--main-color);
  transition: 0.5s;
}

.services .content .card:hover span {
  animation: spin 0.5s forwards;
  right: 0;
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}

.services .content .card:hover {
  transition: 0.5s;
  -webkit-box-shadow: 0 0 60px var(--shadow-color);
  -moz-box-shadow: 0 0 60px var(--shadow-color);
  box-shadow: 0 0 60px var(--shadow-color);
}

.services .content .card h4 {
  color: var(--dark-color);
  font-size: 25px;
  margin-bottom: 0;
}

.services .content .card p {
  color: var(--p-color);
  font-size: 20px;
  line-height: 25px;
}

@media (max-width: 768px) {
  .services .content {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 15px;
    justify-items: center;
  }

  .services .content .card {
    padding: 20px;
    width: 100%;
    box-sizing: border-box;
  }

  .services .content .card span {
    right: 50%;
    transform: translateX(50%);
  }

  .services .content .card h4 {
    text-align: center;
    margin-top: 10px;
    font-size: 22px;
  }

  .services .content .card p {
    font-size: 17px;
  }
}

/* End Services */

/* Start Articles */
.courses {
  padding-top: var(--main-padding);
  padding-bottom: var(--main-padding);
  position: relative;
  overflow: hidden;
}

.courses .shuffle {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.courses .shuffle li {
  padding: 10px;
  margin: 30px 5px;
  cursor: pointer;
  transition: var(--main-transition);
  border-radius: 5px;
  font-size: 18px;
}

@media (max-width: 991px) {
  .courses .shuffle li {
    font-size: 15px;
    margin: 0;
    margin-bottom: 15px;
  }
}

.courses .shuffle li.current,
.courses .shuffle li:hover {
  background-color: var(--main-color);
  color: #fff;
}

.courses .container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 40px;
}

.courses .course {
  box-shadow: 0 0 10px var(--shadow-color);
  background-color: #fff;
  border-radius: 10px;
  overflow: hidden;
  transition: var(--main-transition);
}

.courses .course:hover {
  box-shadow: 0 0 50px var(--shadow-color);
  transform: translateY(-5px);
}

.courses .course .course-image {
  width: 100%;
  object-fit: contain;
}

.courses .course .content {
  position: relative;
  -webkit-box-shadow: var(--box-shadow);
  box-shadow: var(--box-shadow);
  padding: 20px;
  direction: ltr;
}

@media (max-width: 991px) {
  .courses .course .content {
    padding: 15px;
  }
}

.courses .course .content .price {
  background-color: var(--main-color);
  width: 60px;
  height: 60px;
  line-height: 60px;
  text-align: center;
  border-radius: 50%;
  display: inline-block;
  color: #fff;
  font-size: 18px;
  font-weight: 500;
  position: absolute;
  top: -35px;
  right: 20px;
  direction: rtl;
}

.courses .course .content .price span {
  font-size: 14px;
}

.courses .course .content h3 {
  font-size: 25px;
  font-weight: bold;
  color: var(--main-color);
  text-align: center;
  margin-top: 0;
  margin-bottom: 10px;
}

.courses .course .content p {
  color: var(--p-color);
  font-size: 18px;
  line-height: 24px;
  text-align: center;
}

.courses .course .content .info {
  display: flex;
  justify-content: space-between;
  border-top: 1px solid #ebebeb;
  padding: 20px 10px 0 10px;
  margin-top: 5px;
}

.courses .course .content .info li {
  color: var(--p-color);
  font-weight: bold;
}

/* .courses .course .buttons .btn {
  display: flex;
  align-items: center;
  justify-content: center;
} */

.courses .course .btn {
  position: relative;
  padding: 13px 20px;
  /* border: 2px solid var(--main-color); */
  margin-right: 10px;
  font-weight: 600;
  font-size: 15.5px;
  border-radius: 8px;
  background-color: var(--main-color);
  color: #fff;
  margin: 0 auto;
  margin-top: 1.5em;
  width: 180px;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* End Courses */

/* Start Steps */
.steps {
  padding-top: var(--main-padding);
  padding-bottom: var(--main-padding);
}

.steps .container {
  display: flex;
  justify-content: space-between;
}

@media (max-width: 991px) {
  .steps .container {
    flex-direction: column;
    gap: 40px;
  }

  .steps .text {
    display: grid;
    place-items: center;
    text-align: center;
  }
}

.steps .text h3 {
  font-size: 35px;
  width: 70%;
  color: var(--main-color);
  font-weight: bold;
  margin-bottom: 0;
}

.steps .text p {
  color: var(--p-color);
  font-size: 20px;
  width: 70%;
  margin-bottom: 20px;
  line-height: 30px;
}

@media (max-width: 991px) {
  .steps .text p {
    width: 100%;
  }
}

.steps .text .button {
  display: block;
  width: fit-content;
  padding: 15px 30px;
  background-color: var(--main-color);
  border-radius: 5px;
  color: #fff;
  transition: var(--main-transition);
}

.steps .text .button:hover {
  background-color: var(--hover-color);
}

.steps .content {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 25px;
}

.steps .content .step span {
  font-size: 30px;
  color: var(--main-color);
  font-weight: bold;
  position: relative;
  bottom: 9px;
  left: 7px;
}

.steps .content .step i {
  font-size: 1.8rem;
  color: var(--dark-color);
}

.steps .content .step p {
  font-size: 18px;
  color: var(--p-color);
  width: 70%;
  line-height: 30px;
}

.steps .content .step a {
  color: var(--p-color);
  font-weight: bold;
}

@media (max-width: 991px) {
  .steps .content {
    gap: 10px;
    text-align: center;
  }

  .steps .content .step p {
    width: 95%;
  }

  .steps .content .step span {
    display: block;
    left: 50px;
  }

  .steps .content .step i {
    font-size: 2rem;
  }
}

/* End Steps */

/* Start Testimonials */
.testimonials {
  padding-top: var(--main-padding);
  padding-bottom: var(--main-padding);
  position: relative;
}

.testimonials .container {
  display: grid;
  grid-template-columns: 50% 50%;
  gap: 50px;
  place-items: center;
}

@media (max-width: 991px) {
  .testimonials .container {
    display: flex;
    flex-direction: column-reverse;
    gap: 25px;
  }
}

.testimonials .text {
  margin-bottom: 20px;
}

.testimonials .text h3 {
  position: relative;
  color: var(--main-color);
  font-size: 30px;
}

.testimonials .text h3::after {
  position: absolute;
  content: "";
  margin-top: 43px;
  right: 0px;
  width: 65px;
  height: 3px;
  background-color: #d1d2d6;
}

.testimonials .text p {
  width: 80%;
  color: var(--p-color);
  font-size: 20px;
  line-height: 30px;
}

@media (max-width: 991px) {
  .testimonials .text p {
    width: 100%;
    margin: auto;
  }
}

.testimonials .text .button {
  display: block;
  width: fit-content;
  padding: 15px 30px;
  background-color: var(--main-color);
  border-radius: 5px;
  color: #fff;
  transition: var(--main-transition);
}

.testimonials .text .button:hover {
  background-color: var(--hover-color);
}

@media (max-width: 991px) {
  .testimonials .text {
    text-align: center;
  }

  .testimonials .text h3::after {
    right: 50%;
    transform: translateX(50%);
  }

  .testimonials .text .button {
    margin: 25px auto;
  }
}

.testimonials .content {
  position: relative;
}

.testimonials .content .arrow {
  display: flex;
  flex-direction: column;
  gap: 25px;
  font-size: 25px;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: -10%;
  cursor: pointer;
  color: var(--main-color);
}

@media (max-width: 767px) {
  .testimonials .content .arrow {
    top: -60px;
    left: 47%;
    transform: translateX(-50%);
    z-index: 100;
    margin-bottom: 26px;
    transform: rotate(90deg);
  }
}

.testimonials .content .arrow i:hover {
  transition: var(--main-transition);
  color: var(--hover-color);
}

.testimonials .content .cards-container {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 30px;
  overflow: hidden;
}

.testimonials .content .card {
  position: relative;
  border-radius: 1rem;
  padding: 20px;
  width: 25em;
  height: 14rem;
}

@media (max-width: 767px) {
  .testimonials .content .card {
    width: 22rem;
  }
}

.testimonials .content .card.active {
  background-color: var(--main-color);
  animation: swing-in-top-fwd 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275) both;
}

@keyframes swing-in-top-fwd {
  0% {
    -webkit-transform: rotateX(-100deg);
    transform: rotateX(-100deg);
    -webkit-transform-origin: top;
    transform-origin: top;
    opacity: 0;
  }
  100% {
    -webkit-transform: rotateX(0deg);
    transform: rotateX(0deg);
    -webkit-transform-origin: top;
    transform-origin: top;
    opacity: 1;
  }
}

.testimonials .content .card:not(.active) {
  display: none;
}

.testimonials .content .card img {
  position: relative;
  border-radius: 50%;
  width: 60px;
  transition: 0.5s;
}

.testimonials .content .card .user-info {
  display: flex;
  align-items: center;
  gap: 15px;
  margin-bottom: -12px;
}

.testimonials .content .card h4 {
  color: #fff;
  font-size: 17px;
  margin-top: 10px;
  margin-bottom: 0;
}

.testimonials .content .card p {
  color: #fff;
  font-size: 18px;
  line-height: 24px;
}

.testimonials .content .card p::selection {
  color: var(--main-color);
  background-color: #fff;
}
@media (max-width: 991px) {
  .testimonials .content .card p {
    font-size: 17px;
    text-align: center;
  }
}
/* End Testimonials */

/* Start Contact */
.contact {
  padding-top: var(--main-padding);
  padding-bottom: var(--main-padding);
}

.contact .content {
  display: flex;
  justify-content: space-between;
}

@media (max-width: 991px) {
  .contact .content {
    flex-direction: column-reverse;
  }
}

.select {
  margin: 20px auto;
}

.contact .content form {
  display: none;
  flex-basis: 50%;
  margin-left: 5rem;
}

.contact .content .main-form {
  display: none;
}

@media (max-width: 768px) {
  .contact .content form {
    margin: auto;
    width: 100%;
  }
}

.contact .content form .main-input {
  padding: 20px;
  width: 100%;
  display: block;
  margin-bottom: 20px;
  border: 1px solid #ccc;
  border-radius: 10px;
}

@media (max-width: 991px) {
  .contact .content .main-input {
    width: 100%;
  }
}

.contact .content form .second-form {
  display: none;
  flex-direction: column;
}

.contact .content form .second-form .selectGroup {
  display: flex;
  gap: 20px;
}

.contact .content form .second-form select {
  width: 100%;
  text-align: center;
}

.contact .content form .second-form select:nth-child(2) {
  margin-left: -40px;
  display: none;
}

@media (max-width: 991px) {
  .contact .content form .second-form .selectGroup {
    flex-direction: column;
    margin: auto;
  }

  .contact .content form .second-form select:nth-child(2) {
    margin-left: 0;
    margin-bottom: 20px;
    margin-top: 0;
  }
}

@media (max-width: 1200px) {
  .contact .content form .main-input {
    width: 90%;
  }
}

.contact .content form .main-input:focus {
  outline: none;
}

.contact .content form textarea.main-input {
  height: 200px;
  resize: none;
}

.contact .content form input[type="submit"] {
  background-color: var(--main-color);
  color: #fff;
  border: none;
  padding: 20px;
  text-transform: uppercase;
  display: flex;
  margin-left: auto;
  cursor: pointer;
  border-radius: 5px;
  transition: var(--main-transition);
}

@media (max-width: 991px) {
  .contact .content form input[type="submit"] {
    margin: auto;
  }
}

.contact .content form input[type="submit"]:hover {
  background-color: var(--hover-color);
}

.contact .content img {
  width: 500px;
  margin: auto;
}

@media (max-width: 991px) {
  .contact .content img {
    width: 400px;
    object-fit: contain;
    margin: 40px auto;
  }
}

@media (max-width: 768px) {
  .contact .content img {
    width: 300px;
  }
}
/* End Contact */

/* Start Footer */
.footer {
  background-color: #24262b;
  padding: 60px 0 10px;
  font-family: var(--second-font) !important;
}

@media (max-width: 991px) {
  .footer .container {
    width: 100%;
  }
}

.footer hr {
  margin-top: 1rem;
}

.footer .content {
  display: flex;
  flex-wrap: wrap;
}

.footer .content .footer-col {
  width: 20%;
  padding: 0 15px;
}

.footer .content .footer-col h4 {
  font-size: 18px;
  color: #ffffff;
  text-transform: capitalize;
  margin-bottom: 35px;
  font-weight: 500;
  position: relative;
}
.footer .content .footer-col h4::before {
  content: "";
  position: absolute;
  right: 0;
  bottom: -10px;
  background-color: var(--main-color);
  height: 2px;
  box-sizing: border-box;
  width: 50px;
}
.footer .content .footer-col ul li:not(:last-child) {
  margin-bottom: 10px;
}
.footer .content .footer-col ul :is(a, li) {
  font-size: 16px;
  text-transform: capitalize;
  color: #ffffff;
  text-decoration: none;
  font-weight: 500;
  color: #bbbbbb;
  display: block;
  transition: all var(--main-transition) ease;
}

.footer .content .footer-col img {
  width: 250px;
  display: block;
  margin-right: -2.5rem;
  mix-blend-mode: multiply;
}
.footer .content .footer-col ul :is(a, li):hover {
  color: #ffffff;
  padding-right: 5px;
}

.footer .content .footer-col .social-links a {
  display: inline-block;
  width: 40px;
  background-color: #ffffff33;
  margin: 0 10px 10px 0;
  text-align: center;
  line-height: 40px;
  border-radius: 50%;
  color: #ffffff;
  font-size: 18px;
  transition: all var(--main-transition) ease;
}
.footer .content .footer-col .social-links a:hover {
  color: #fff;
  background-color: var(--main-color);
}

.footer .copyright {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.footer .copyright p {
  color: #fff;
  margin: 20px auto;
  text-align: center;
}

.footer .copyright p a {
  font-weight: bold;
  color: var(--main-color);
}

@media screen and (max-width: 767px) {
  .footer .copyright {
    flex-direction: column;
  }

  .footer .copyright p {
    margin: 1em 0;
  }
}

@media (max-width: 991px) {
  .footer .content .footer-col {
    width: 30%;
    margin: auto;
  }

  .footer .content .footer-col h4 {
    font-size: 16px;
  }

  .footer .content .footer-col ul li a {
    font-size: 14px;
  }
}
/* End Footer */

/* Start Modals */
.modaal-container {
  text-align: center !important;
  border-radius: 8px !important;
}

.modaal-wrapper h1 {
  color: var(--main-color) !important;
}

.modaal-wrapper p {
  font-size: 18px !important;
}

.modaal-confirm-btn.modaal-ok {
  background-color: var(--main-color) !important;
}
/* End Modals */
